> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer



## OpenAPI

````yaml post /customers
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /customers:
    post:
      tags:
        - Customers
      summary: Create a customer
      operationId: postCustomers
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                first_name: ''
                last_name: ''
                display_name: ''
                email: ''
                phone: ''
                notes: ''
                has_different_billing_address: ''
                status: ''
                company_name: ''
                alt_email: ''
                billing_address_1: ''
                billing_address_2: ''
                billing_city: ''
                billing_state: ''
                billing_zip_code: ''
                assigned_to: ''
                secondary_email: ''
                secondary_phone: ''
                service_address_1: ''
                service_address_2: ''
                service_address_city: ''
                service_address_state: ''
                service_address_zip_code: ''
                job_notes: ''
                customfields:
                  - id: ''
                    field_instance_id: ''
                    value: ''
                  - id: ''
                    field_instance_id: ''
                    value: ''
                locations:
                  - object_type: ''
                    object_id: ''
                    title: ''
                    address_1: ''
                    address_2: ''
                    city: ''
                    state: ''
                    zip_code: ''
                    is_main_location: ''
                  - object_type: ''
                    object_id: ''
                    title: ''
                    address_1: ''
                    address_2: ''
                    city: ''
                    state: ''
                    zip_code: ''
                    is_main_location: ''
                account_type: ''
                pipeline_status_id: ''
                lead_source_id: ''
                tags: ''
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````